Package org.apache.commons.collections4.map

# Class AbstractLinkedMap.KeySetIterator<K>

java.lang.Object
org.apache.commons.collections4.map.AbstractLinkedMap.LinkIterator<K,Object>
org.apache.commons.collections4.map.AbstractLinkedMap.KeySetIterator<K>

Type Parameters:
  `K` - the key type.

All Implemented Interfaces:
  `Iterator<K>`, `OrderedIterator<K>`, `ResettableIterator<K>`

Enclosing class:
  `AbstractLinkedMap<K,V>`

protected static class AbstractLinkedMap.KeySetIterator<K> extends AbstractLinkedMap.LinkIterator<K,Object> implements OrderedIterator<K>, ResettableIterator<K>
KeySet iterator.

- ## Field Summary

  ### Fields inherited from class org.apache.commons.collections4.map.AbstractLinkedMap.LinkIterator

  `expectedModCount, last, next, parent`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `KeySetIterator(AbstractLinkedMap<K,?> parent)`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `K`
  `next()`
  `K`
  `previous()`
  Gets the previous element from the container.

  ### Methods inherited from class org.apache.commons.collections4.map.AbstractLinkedMap.LinkIterator

  `currentEntry, hasNext, hasPrevious, nextEntry, previousEntry, remove, reset, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining, hasNext, remove`

  ### Methods inherited from interface org.apache.commons.collections4.OrderedIterator

  `hasPrevious`

  ### Methods inherited from interface org.apache.commons.collections4.ResettableIterator

  `reset`

- ## Constructor Details

  - ### KeySetIterator

    protected KeySetIterator(AbstractLinkedMap<K,?> parent)
    Constructs a new instance.
    Parameters:
      `parent` - The parent AbstractLinkedMap.

- ## Method Details

  - ### next

    public K next()
    Specified by:
      `next` in interface `Iterator<K>`

  - ### previous

    public K previous()
    Description copied from interface: `OrderedIterator`
    Gets the previous element from the container.
    Specified by:
      `previous` in interface `OrderedIterator<K>`
    Returns:
      the previous element in the iteration